Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.mail
Interface MailMessage

All Known Implementing Classes:
  MimeMailMessage, SimpleMailMessage

    public interface MailMessage

This is a common interface for mail messages, allowing a user to set key values required in assembling a mail message, without needing to know if the underlying message is a simple text message or a more sophisticated MIME message.

Implemented by both SimpleMailMessage and MimeMessageHelper, to let message population code interact with a simple message or a MIME message through a common interface.

Since:
  1.1.5
Author:
  Juergen Hoeller
See Also:
  `SimpleMailMessage`, `MimeMessageHelper`

Method Summary
`void` | `setBcc(java.lang.String bcc)`
`void` | `setBcc(java.lang.String[] bcc)`
`void` | `setCc(java.lang.String cc)`
`void` | `setCc(java.lang.String[] cc)`
`void` | `setFrom(java.lang.String from)`
`void` | `setReplyTo(java.lang.String replyTo)`
`void` | `setSentDate(java.util.Date sentDate)`
`void` | `setSubject(java.lang.String subject)`
`void` | `setText(java.lang.String text)`
`void` | `setTo(java.lang.String to)`
`void` | `setTo(java.lang.String[] to)`

Method Detail

### setFrom

    void setFrom(java.lang.String from)
                 throws MailParseException

  Throws:
    `MailParseException`

### setReplyTo

    void setReplyTo(java.lang.String replyTo)
                    throws MailParseException

  Throws:
    `MailParseException`

### setTo

    void setTo(java.lang.String to)
               throws MailParseException

  Throws:
    `MailParseException`

### setTo

    void setTo(java.lang.String[] to)
               throws MailParseException

  Throws:
    `MailParseException`

### setCc

    void setCc(java.lang.String cc)
               throws MailParseException

  Throws:
    `MailParseException`

### setCc

    void setCc(java.lang.String[] cc)
               throws MailParseException

  Throws:
    `MailParseException`

### setBcc

    void setBcc(java.lang.String bcc)
                throws MailParseException

  Throws:
    `MailParseException`

### setBcc

    void setBcc(java.lang.String[] bcc)
                throws MailParseException

  Throws:
    `MailParseException`

### setSentDate

    void setSentDate(java.util.Date sentDate)
                     throws MailParseException

  Throws:
    `MailParseException`

### setSubject

    void setSubject(java.lang.String subject)
                    throws MailParseException

  Throws:
    `MailParseException`

### setText

    void setText(java.lang.String text)
                 throws MailParseException

  Throws:
    `MailParseException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD